Package org.drinkless.tdlib

# Class TdApi.ChatActiveStories

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatActiveStories

Enclosing class:
  `TdApi`

public static class TdApi.ChatActiveStories extends TdApi.Object
Describes active stories posted by a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeArchived`
  True, if the stories are shown in the main story list and can be archived; otherwise, the stories can be hidden from the main story list only by calling removeTopChat with topChatCategoryUsers and the chatId.
  `long`
  `chatId`
  Identifier of the chat that posted the stories.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryList`
  `list`
  Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.
  `int`
  `maxReadStoryId`
  Identifier of the last read active story.
  `long`
  `order`
  A parameter used to determine order of the stories in the story list; 0 if the stories don't need to be shown in the story list.
  `TdApi.StoryInfo[]`
  `stories`
  Basic information about the stories; use getStory to get full information about the stories.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatActiveStories()`
  Describes active stories posted by a chat.
  `ChatActiveStories(long chatId, TdApi.StoryList list, long order, boolean canBeArchived, int maxReadStoryId, TdApi.StoryInfo[] stories)`
  Describes active stories posted by a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat that posted the stories.

  - ### list

    @Nullable public TdApi.StoryList list
    Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.

  - ### order

    public long order
    A parameter used to determine order of the stories in the story list; 0 if the stories don't need to be shown in the story list. Stories must be sorted by the pair (order, storyPosterChatId) in descending order.

  - ### canBeArchived

    public boolean canBeArchived
    True, if the stories are shown in the main story list and can be archived; otherwise, the stories can be hidden from the main story list only by calling removeTopChat with topChatCategoryUsers and the chatId. Stories of the current user can't be archived nor hidden using removeTopChat.

  - ### maxReadStoryId

    public int maxReadStoryId
    Identifier of the last read active story.

  - ### stories

    public TdApi.StoryInfo[] stories
    Basic information about the stories; use getStory to get full information about the stories. The stories are in chronological order (i.e., in order of increasing story identifiers).

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatActiveStories

    public ChatActiveStories()
    Describes active stories posted by a chat.

  - ### ChatActiveStories

    public ChatActiveStories(long chatId, TdApi.StoryList list, long order, boolean canBeArchived, int maxReadStoryId, TdApi.StoryInfo[] stories)
    Describes active stories posted by a chat.
    Parameters:
      `chatId` - Identifier of the chat that posted the stories.
      `list` - Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.
      `order` - A parameter used to determine order of the stories in the story list; 0 if the stories don't need to be shown in the story list. Stories must be sorted by the pair (order, storyPosterChatId) in descending order.
      `canBeArchived` - True, if the stories are shown in the main story list and can be archived; otherwise, the stories can be hidden from the main story list only by calling removeTopChat with topChatCategoryUsers and the chatId. Stories of the current user can't be archived nor hidden using removeTopChat.
      `maxReadStoryId` - Identifier of the last read active story.
      `stories` - Basic information about the stories; use getStory to get full information about the stories. The stories are in chronological order (i.e., in order of increasing story identifiers).

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR